%define iwl4965_v          4.44.17
%define iwl4965_v1         228.57.1.21
%define iwl4965_v2         228.57.2.23
%define iwl4965_list       %{iwl4965_v} %{iwl4965_v1} %{iwl4965_v2}

Name:           iwl4965-firmware
Version:        %{iwl4965_v2}
Release:        1%{?dist}
Summary:        Firmware for Intel® PRO/Wireless 4965 A/G/N network adaptors

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v}.tgz
Source1:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v1}.tgz
Source2:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v2}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch


%description
This package contains the firmware required by the iwl4965 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.


%prep
%setup -c -q
%setup -c -q -D -T -a 1
%setup -c -q -D -T -a 2

# Change permission
find . -type f -exec chmod 0644 {} ';'

pushd iwlwifi-4965-ucode-%{version}
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-4965-ucode README.iwlwifi-4965-ucode
# Rename docs
mv LICENSE.iwlwifi-4965-ucode ../LICENSE
mv README.iwlwifi-4965-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
for f in %{iwl4965_list} ; do
pushd iwlwifi-4965-ucode-$f
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
popd
done



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode


%changelog
* Mon Dec 15 2008 kwizart < kwizart at gmail.com > - 228.57.2.23-1
- Update v2 to 228.57.2.23 - Should fix #457154
- Reintroduce dist tag

* Fri Jul 11 2008 kwizart < kwizart at gmail.com > - 228.57.2.21-1
- Keep firmware v to 4.44.17 for older gold kernel
- Update firmware v1 to 228.57.1.21
- Add firmware v2 to 228.57.2.21

* Tue Dec 18 2007 kwizart < kwizart at gmail.com > - 4.44.1.20-1
- Update v1 to 4.44.1.20
- Improve keep timestramps
- Obsoletes iwlwifi-4965-ucode

* Mon Aug 27 2007 kwizart < kwizart at gmail.com > - 4.44.1.18-2
- Remove ExcludeArch for ppc ppc64

* Fri Aug 17 2007 kwizart < kwizart at gmail.com > - 4.44.1.18-1
- Update to 4.44.1.18
- Bundle the previous 4.44.17 firmware

* Tue Jul 24 2007 kwizart < kwizart at gmail.com > - 4.44.17-1
- Update to 4.44.17

* Thu Jul 19 2007 kwizart < kwizart at gmail.com > - 4.44.15-6
- Uses versionned firmwares (with alternative method)

* Mon Jul 16 2007 kwizart < kwizart at gmail.com > - 4.44.15-5
- Renamed back to iwl4965-firmware
- Dropped obsoletes iwlwifi-firmware

* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 4.44.15-4
- Renamed LICENSE README
- Drop Provides: iwlwifi-firmware

* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 4.44.15-3
- Renamed to iwlwifi-4965-firmware
- Provides/Obsolete iwlwifi-firmware
- Drop the dist tag

* Wed Jul 13 2007 kwizart < kwizart at gmail.com > - 4.44.15-2
- Change to ExcludeArch as this can work with koji
- Drop LICENSE.iwlwifi-4965-ucode from /lib/firmware

* Wed Jul 13 2007 kwizart < kwizart at gmail.com > - 4.44.15-1
- Initial package.
